解决eclipse的new server里tomcat 无法选择问题

最近由于某原因,又建立了一个新的workspace-new,切换回原来的workspace-old后,发现workspace-old中的项目无法在 tomcat v7.0 server正常工作了,于是各种设置均无法解决,最终一不做二不休删除了tomcat server。删除后,重新new server,然而新问题又出现了,无法选择tomcat v7.0 server 、tomcat v8.0 server,记得以前遇到过这个问题,但是记不起来当时怎么设置的,于是求助万能的百度,还是自己记下来的好,省的下次再忘记了,步骤如下:

一、退出eclipse;

二、找到自己的workspace,也就是我的workspace-old\.metadata\.plugins\org.eclipse.core.runtime\.settings这个路径, 删除文件org.eclipse.wst.server.core.prefs和org.eclipse.jst.server.tomcat.core.prefs;

三、启动eclipse,new server时已经正常。

阅读更多
版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/superzjl/article/details/52381726
文章标签: eclipse tomcat
个人分类: eclipse
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

加入CSDN,享受更精准的内容推荐,与500万程序员共同成长!
关闭
关闭